#define MAXVERT   100

class GraphView : public View {
  public:
     int Init(char *);
     int Vertex(int, double, double);
     int Edge(int, int, int);
     int NewComp(int, int);
     int EndComp();
     int Visit(int, int);
     int Backtrack(int);
     int Done(int);
     int DoAnimate(int);
  private:
     Circle *lozenge;
     Circle *vertex[MAXVERT];
     Text *label[MAXVERT];
     Line *edgenum[MAXVERT*5];
     Line *edge[MAXVERT][MAXVERT];

     void message(int, char *);
};



class MyAnimator : public Animator {
  public:
     int Controller();
  private:
     GraphView gv;
};




